import { Section } from "./base/section";

interface GlossaryTableProps {
  terms: [string, string[]][];
}

export function GlossaryTable({ terms }: GlossaryTableProps) {
  return (
    <Section type="glossary" componentId="glossary" title="Glossary">
      <div className="glossary-content">
        <dl>
          {terms.map(([term, defs]) => {
            return (
              <div key={term}>
                <dt>{term}</dt>
                {defs.map((d, i) => (
                  <dd key={i}>{d}</dd>
                ))}
              </div>
            );
          })}
        </dl>
      </div>
    </Section>
  );
}
